<template>
  <div class="mb56 product-slide clearfix" :class="className">
    <h2 class="title_cate">
      <span>{{ title }}</span>
    </h2>
    <div
      :id="'product-slide-swiper' + id"
      v-swiper:ProductSlider="options_product_slide"
      class="padding-swiper list-product"
    >
      <div
        class="swiper-wrapper"
        @mouseover="hoverEvent"
        @mouseout="hoverOutEvent"
      >
        <SmallProduct
          v-for="product in products"
          :key="product.id"
          :product="product"
          :swiperslide="'swiper-slide'"
          :notifi-button="notifiButton"
        />
      </div>
      <!-- Add Arrows -->
      <div :id="'swiper-prev' + id" class="swiper-button-prev">
        <svg-icon
          name="arrow-left"
          style="width: 24px; height: 24px;"
        ></svg-icon>
      </div>
      <div :id="'swiper-next' + id" class="swiper-button-next">
        <svg-icon
          name="arrow-right"
          style="width: 24px; height: 24px;"
        ></svg-icon>
      </div>
    </div>
  </div>
</template>

<script>
import Helper from '../../assets/config'

export default {
  name: 'ProductSlider',
  components: {
    SmallProduct: () => import('~/components/Products/SmallProduct'),
  },
  props: [
    'id',
    'title',
    'className',
    'products',
    'colorStatus',
    'notifiButton',
  ],
  data() {
    return {
      options_product_slide: {
        preloadImages: false,
        lazy: true,
        slidesPerView: 2,
        navigation: {
          nextEl: '',
          prevEl: '',
        },
        breakpoints: {
          480: {
            slidesPerView: 2,
          },
          991: {
            slidesPerView: 3,
          },
          1025: {
            watchSlidesVisibility: true,
            slidesPerView: 5,
          },
        },
      },
    }
  },
  computed: {
    baseImageUrl() {
      return Helper.baseImageUrl
    },
  },
  created() {
    this.options_product_slide.navigation.nextEl = '#swiper-next' + this.id
    this.options_product_slide.navigation.prevEl = '#swiper-prev' + this.id
  },
  mounted() {},
  methods: {
    resizeImage(url, width, height) {
      return Helper.resizeImage(url, width, height)
    },
    hoverEvent() {
      const elemtSwiperProduct = document.getElementById(
        'product-slide-swiper' + this.id
      )
      elemtSwiperProduct.style.paddingBottom = '250px'
      elemtSwiperProduct.style.marginBottom = '-250px'
    },
    hoverOutEvent() {
      const elemtSwiperProduct = document.getElementById(
        'product-slide-swiper' + this.id
      )
      elemtSwiperProduct.style.paddingBottom = '0'
      elemtSwiperProduct.style.marginBottom = '0'
    },
  },
}
</script>
